## ros-indigo-baxtereus 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(baxtereus)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roseus
  collada_urdf
  euscollada
#  baxter_description
)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES baxtereus
#  CATKIN_DEPENDS collada_urdf euslisp
#  DEPENDS system_lib
)

###########
## Build ##
###########
if(EXISTS ${baxter_description_SOURCE_PREFIX}/urdf)
  set(_baxter_urdf ${baxter_description_SOURCE_PREFIX}/urdf)
else()
  set(_baxter_urdf ${baxter_description_PREFIX}/share/baxter_description/urdf)
endif()
set(_urdf_to_collada ${collada_urdf_PREFIX}/lib/collada_urdf/urdf_to_collada)
set(_collada2eus ${euscollada_PREFIX}/lib/euscollada/collada2eus)

message("baxter_urdf: ${_baxter_urdf}")
message("urdf_to_collada: ${_urdf_to_collada}")
message("collada2eus: ${_collada2eus}")

# as of 2014/1/20, *_simple.DAE files are commited in https://github.com/k-okada/baxter_common
# as of 2014/10/31 we use git://github.com/rethink-rlinsalata/baxter_common.git@k_rob-simple_meshes
# as of 2015/05/01 we use git://github.com/k-okada/baxter_common.git@fix_simple_urdf
if(EXISTS ${_baxter_urdf}/baxter_simple.urdf)
  add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/baxter.urdf
    COMMAND sed s/_collision.STL/_collision.DAE/ ${_baxter_urdf}/baxter_simple.urdf > ${PROJECT_SOURCE_DIR}/baxter.urdf
    DEPENDS ${_baxter_urdf}/baxter_simple.urdf)
else()
  add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/baxter.urdf
    COMMAND cp ${_baxter_urdf}/baxter.urdf ${PROJECT_SOURCE_DIR}/baxter.urdf
    DEPENDS ${_baxter_urdf}/baxter.urdf)
endif()
if(NOT EXISTS ${PROJECT_SOURCE_DIR}/baxter.l)
  add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/baxter.dae
    COMMAND echo "${_urdf_to_collada} ${PROJECT_SOURCE_DIR}/baxter.urdf baxter.dae"
    COMMAND ${_urdf_to_collada} ${PROJECT_SOURCE_DIR}/baxter.urdf ${PROJECT_SOURCE_DIR}/baxter.dae
    DEPENDS ${PROJECT_SOURCE_DIR}/baxter.urdf)
  add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/baxter.l
    COMMAND echo "${_collada2eus} baxter.dae baxter.l"
    COMMAND ${_collada2eus} ${PROJECT_SOURCE_DIR}/baxter.dae ${PROJECT_SOURCE_DIR}/baxter.yaml ${PROJECT_SOURCE_DIR}/baxter.l
    DEPENDS ${PROJECT_SOURCE_DIR}/baxter.dae ${PROJECT_SOURCE_DIR}/baxter.yaml ${_collada2eus})
  add_custom_target(compile_baxter ALL DEPENDS ${PROJECT_SOURCE_DIR}/baxter.l)
endif()


install(DIRECTORY euslisp test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

install(FILES baxter.l baxter-interface.l baxter-util.l baxter.yaml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/test-baxter.test)
  if ("$ENV{ROS_DISTRO}" STRGREATER "hydro")  # > hydro
    add_rostest(test/baxter-moveit.test)
  else()
    message(WARNING "Skip baxter-moveit.test")
  endif()
endif()

=== debian/changelog ===
ros-indigo-baxtereus (1.1.0-1trusty) trusty; urgency=high

  * baxtereus: test/*.test: time-limit=100000 is too large need to set 300-600 (`#802 <https://github.com/jsk-ros-pkg/jsk_robot/issues/802>`_)
    * test/*.test: time-limit=100000 is too large need to set 300-600
  * [baxtereus] Fix run_depend to pr2eus_moveit (#798 <https://github.com/jsk-ros-pkg/jsk_robot/issues/798>)
    * Fix run_depend to pr2eus_moveit
  * [baxtereus] support tm :fast in moveit angle-vector methods (#789 <https://github.com/jsk-ros-pkg/jsk_robot/issues/789>)
    * angle-vector-sequence accept tms as list of timerelated to https://github.com/jsk-ros-pkg/jsk_robot/pull/791#pullrequestreview-45324124
    
      * test tm :fast angle-vector methods and av-sequence
      * update doc for :angle-vecor methods
      * support tm :fast in moveit angle-vector methods
    
  * [baxtereus] add key :robot in baxter-interface :init (#784 <https://github.com/jsk-ros-pkg/jsk_robot/issues/784>)
    * add key :robot in baxter-interface :init
  * [baxtereus] Use end-coords-interpolation (#747 <https://github.com/jsk-ros-pkg/jsk_robot/issues/747>)
    * Use end-coords-interpolation in baxter-interface
  * [baxtereus][jsk_baxter_startup] add baxter moveit test (#779 <https://github.com/jsk-ros-pkg/jsk_robot/issues/779>)
    * add baxter_sim_controllers as test_depend
    * add gazebo moveit starting time assertion
    * add joint_state_controller as test_depend
    * update cmake and package for baxter moveit test
    * add baxter moveit test
  * [baxtereus] set wait key default as t (#769 <https://github.com/jsk-ros-pkg/jsk_robot/issues/769>)
    * set wait key default as t
  * [baxtereus] add wait key in :start-grasp (#768 <https://github.com/jsk-ros-pkg/jsk_robot/issues/768>)
  * [baxtereus] remove unused baxter-moveit.l (#764 <https://github.com/jsk-ros-pkg/jsk_robot/issues/764>)
    * remove baxter-moveit.l from CMakeLists.txt
    * remove unused baxter-moveit.l, it is replaced in baxter-interface.l
  * [baxtereus] fix bug in :command-grasp and :calib-grasp (#762 <https://github.com/jsk-ros-pkg/jsk_robot/issues/762>)
    * pass pos in :calib-grasp
    * pass arm as symbol to :command-grasp
  * add ik-prepared-poses in baxter class (#748 <https://github.com/jsk-ros-pkg/jsk_robot/issues/748>)
    * baxter-util.l : :ik-prepared-poses, enable to set nil
    * baxter-util.l : self-collision-check, fix symbol  symbol expected for function argument error on compile
    * define :ik-prepared-poses in baxter-robot.l
  * [baxtereus] pass args to angle-vector-motion-plan (#737 <https://github.com/jsk-ros-pkg/jsk_robot/issues/737>)
    * add moveit option in baxter-init
    * pass args to angle-vector-motion-plan in baxtereus
  * [baxtereus] execute raw angle-vector methods in case tm is not number (#734 <https://github.com/jsk-ros-pkg/jsk_robot/issues/734>)
    * execute raw angle-vector in case tm is not numbercommon case is
    (send ri :angle-vector-sequnce avs :fast)
  * [baxtereus] add ctype in angle-vector methods for moveit (#730 <https://github.com/jsk-ros-pkg/jsk_robot/issues/730>)
    * use &key instead of &rest in baxter angle-vectoruse &key instead of &rest args in :angle-vector methods in baxtereus and
    refine codes.
    
      * add ctype in angle-vector-sequence for moveit
      * add ctype in angle-vector for moveit
    
  * [baxtereus] add :angle-vector-sequence for moveit (#728 <https://github.com/jsk-ros-pkg/jsk_robot/issues/728>)
    * fix typo in baxter-util.l
    * add :angle-vector-sequence for moveit:angle-vector-sequence -> :angle-vector-sequence-motion-plan
  * [baxtereus] add :arms for baxter_moveit_config "both_arms" (#731 <https://github.com/jsk-ros-pkg/jsk_robot/issues/731>)
    * add :arms for baxter_moveit_config "both_arms"
  * [baxtereus] Fix bug to pass args in :angle-vector (#729 <https://github.com/jsk-ros-pkg/jsk_robot/issues/729>)
    * fix bug in :angle-vectoruse :move-arm as key and pass other args to other methods
    currently args passing was not proper
    
      * fix typo in baxter-interface
      * remove tab and use space in baxter-interface
      * refine warning message in baxter-interface
    
  * [baxtereus] override :angle-vector and rename existing methods (#721 <https://github.com/jsk-ros-pkg/jsk_robot/issues/721>)
    * override :angle-vector and rename existing methodsBefore                       After
    :angle-vector-motion-plan -> :angle-vector
    :angle-vector             -> :angle-vector-raw
    :angle-vector-sequence    -> :angle-vector-sequence-raw
  * [baxtereus] add moveit init option in baxter-interface (#719 <https://github.com/jsk-ros-pkg/jsk_robot/issues/719>)
    * add moveit config init option in baxter-interfacethis option is needed for customize baxter like jsk_baxter_apc
    
      * add SRDF description in baxter-interface.l
    
  * [baxtereus] add moveit in baxter-interface (#716 <https://github.com/jsk-ros-pkg/jsk_robot/issues/716>)
    * add moveit in baxter-interface
  * Contributors: Kei Okada, Kentaro Wada, Shingo Kitagawa, Shun Hasegawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-baxtereus (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-baxtereus (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-baxtereus (1.0.7-1trusty) trusty; urgency=high

  * JTA insert current position to the first point, this requries https://github.com/RethinkRobotics/baxter_interface/pull/73 (#636 <https://github.com/jsk-ros-pkg/jsk_robot/issues/636>)
  * fix for baxter_interface v1.1.1, which removes limitation on number of points to sent (#635 <https://github.com/jsk-ros-pkg/jsk_robot/issues/635>)


=== debian/control ===
Source: ros-indigo-baxtereus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-baxter-core-msgs, ros-indigo-baxter-gazebo, ros-indigo-baxter-moveit-config, ros-indigo-baxter-sim-controllers, ros-indigo-baxter-sim-io, ros-indigo-catkin, ros-indigo-collada-urdf, ros-indigo-euscollada, ros-indigo-joint-state-controller, ros-indigo-pr2eus, ros-indigo-roseus, ros-indigo-rosgraph-msgs, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-baxtereus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-baxter-description, ros-indigo-baxter-interface, ros-indigo-baxter-tools, ros-indigo-collada-urdf, ros-indigo-euscollada, ros-indigo-jsk-baxter-startup, ros-indigo-pr2eus, ros-indigo-pr2eus-moveit, ros-indigo-roseus, ros-indigo-rostest
Description: The baxtereus package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-baxtereus//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
